curl --request GET \
--url https://api.sandbox.tesouro.com/embedded-banking/v1/credit-card-applications/{id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicant": {
"birthDate": "2023-12-25",
"disclosuresAcceptedAtDateTime": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"hasAcceptedDisclosures": true,
"homeAddress": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"isLegallyAuthorized": true,
"lastName": "<string>",
"mobilePhoneNumber": "<string>",
"ownershipPercentage": 123,
"workEmailAddress": "<string>"
},
"businessDetails": {
"address": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"annualBusinessRevenue": 123,
"businessStructureType": "CORPORATION_PUBLIC",
"companyType": "<string>",
"dbaName": "<string>",
"estimatedMonthlySpend": 123,
"legalName": "<string>",
"northAmericanIndustryClassificationSystemCode": "SOYBEAN_FARMING",
"numberOfEmployees": 123,
"ownership": "<string>",
"phoneNumber": "<string>",
"website": "<string>"
},
"businessOwners": [
{
"birthDate": "2023-12-25",
"firstName": "<string>",
"homeAddress": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"lastName": "<string>",
"mobilePhoneNumber": "<string>",
"ownershipPercentage": 123
}
]
}Retrieves a credit card application by its ID.
Token types: APP | Required scopes: embedded:creditcardapplication:read
curl --request GET \
--url https://api.sandbox.tesouro.com/embedded-banking/v1/credit-card-applications/{id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicant": {
"birthDate": "2023-12-25",
"disclosuresAcceptedAtDateTime": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"hasAcceptedDisclosures": true,
"homeAddress": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"isLegallyAuthorized": true,
"lastName": "<string>",
"mobilePhoneNumber": "<string>",
"ownershipPercentage": 123,
"workEmailAddress": "<string>"
},
"businessDetails": {
"address": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"annualBusinessRevenue": 123,
"businessStructureType": "CORPORATION_PUBLIC",
"companyType": "<string>",
"dbaName": "<string>",
"estimatedMonthlySpend": 123,
"legalName": "<string>",
"northAmericanIndustryClassificationSystemCode": "SOYBEAN_FARMING",
"numberOfEmployees": 123,
"ownership": "<string>",
"phoneNumber": "<string>",
"website": "<string>"
},
"businessOwners": [
{
"birthDate": "2023-12-25",
"firstName": "<string>",
"homeAddress": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"lastName": "<string>",
"mobilePhoneNumber": "<string>",
"ownershipPercentage": 123
}
]
}Application (M2M) bearer token
The application ID.
Application retrieved successfully.
Response model for a credit card application.
Unique identifier for the credit card application.
Applicant information for the credit card application.
Show child attributes
Business details associated with the application.
Show child attributes
List of business owners associated with the application.
Show child attributes
Was this page helpful?